Bug 1268589 - yumex-dnf crashes: pos() takes 2 positional arguments but 4 were given
Summary: yumex-dnf crashes: pos() takes 2 positional arguments but 4 were given
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex-dnf
Version: 22
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-03 08:17 UTC by Giulio 'juliuxpigface'
Modified: 2016-03-17 21:21 UTC (History)
2 users (show)

Fixed In Version: yumex-dnf-4.1.5-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-28 20:23:13 UTC


Attachments (Terms of Use)
backtrace (116 bytes, text/plain)
2015-10-03 08:17 UTC, Giulio 'juliuxpigface'
no flags Details
cmdline (56 bytes, text/plain)
2015-10-03 08:18 UTC, Giulio 'juliuxpigface'
no flags Details

Description Giulio 'juliuxpigface' 2015-10-03 08:17:09 UTC
Created attachment 1079584 [details]
backtrace

Description of problem:
ABRT notifies about a crash in file "/usr/share/yumex-dnf/dbus_status.py".

The reason is this:
"pos() takes 2 positional arguments but 4 were given
TypeError: pos() takes 2 positional arguments but 4 were given"

Version-Release number of selected component (if applicable):
yumex-dnf-4.1.2-1.fc22

How reproducible:
Always

Steps to Reproduce:
1. Launch "yumex-dnf --help --icononly"
2. Perform a right-click on yumex-dnf icon on the taskbar

Actual results:
ABRT catches the exception. Luckily, yumex-dnf seems to work even with this issue.

Expected results:
yumex-dnf must continue to work, but ideally no exceptions should be raised for a simple right-click..

Additional info:
Fully updated Fedora 22 Xfce here (bare-metal).

Comment 1 Giulio 'juliuxpigface' 2015-10-03 08:18:02 UTC
Created attachment 1079585 [details]
cmdline

Comment 3 Fedora Update System 2015-11-18 16:47:38 UTC
dnfdaemon-0.3.11-1.fc23 yumex-dnf-4.1.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-554dab6cf9

Comment 4 Fedora Update System 2015-11-19 15:26:17 UTC
dnfdaemon-0.3.11-1.fc23, yumex-dnf-4.1.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update yumex-dnf dnfdaemon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-554dab6cf9

Comment 5 Fedora Update System 2015-11-19 16:54:56 UTC
dnfdaemon-0.3.11-1.fc23, yumex-dnf-4.1.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update yumex-dnf dnfdaemon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-554dab6cf9

Comment 6 Woi 2015-11-19 21:03:41 UTC
Hey Tim,

I'd like to install and test yumex-dnf-4.1.5. Could you please push it to Fedora 22 testing, too?

Thanks a lot.

Comment 7 Fedora Update System 2015-11-20 08:04:15 UTC
dnfdaemon-0.3.11-1.fc22 yumex-dnf-4.1.5-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8054ed53d3

Comment 8 Tim Lauridsen 2015-11-20 08:06:24 UTC
(In reply to Woi from comment #6)
> Hey Tim,
> 
> I'd like to install and test yumex-dnf-4.1.5. Could you please push it to
> Fedora 22 testing, too?
> 
> Thanks a lot.

Done, I just had to wait for 4.1.4 to be pushed to stable first ;-)

Comment 9 Fedora Update System 2015-11-21 17:52:52 UTC
dnfdaemon-0.3.11-1.fc22, yumex-dnf-4.1.5-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update yumex-dnf dnfdaemon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8054ed53d3

Comment 10 Fedora Update System 2015-11-28 20:22:57 UTC
dnfdaemon-0.3.11-1.fc23, yumex-dnf-4.1.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Woi 2015-12-07 21:29:52 UTC
(In reply to Tim Lauridsen from comment #8)
> (In reply to Woi from comment #6)
> > Hey Tim,
> > 
> > I'd like to install and test yumex-dnf-4.1.5. Could you please push it to
> > Fedora 22 testing, too?
> > 
> > Thanks a lot.
> 
> Done, I just had to wait for 4.1.4 to be pushed to stable first ;-)

Late, but: Thanks :-)

Comment 12 Fedora Update System 2016-03-17 21:21:44 UTC
dnfdaemon-0.3.11-1.fc22, yumex-dnf-4.1.5-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.